<?php

class Eagle_MostPopularTags_Model_MostPopularTags extends Xenforo_Model
{
	public function getListMostPopularTags($limitforpopulartags, $levels = 7)
	{
		$db = XenForo_Application::get('db');

		$tags = $db->fetchAll("SELECT 
			tag_id, 
			tag, 
			tag_url, 
			use_count, 
			last_use_date 
			FROM xf_tag 
			WHERE tag_id 
			ORDER BY use_count DESC 
			LIMIT $limitforpopulartags
		");

		if (!$tags)
		{
			return array();
		}

		$uses = XenForo_Application::arrayColumn($tags, 'use_count');
		$min = min($uses);
		$max = max($uses);
		$levelSize = ($max - $min) / $levels;

		sort($tags);

		foreach($tags as $key=> $tag)
		{
			$tag['use_count'] = floor(($tag['use_count'] * 100) / floor(($max * 100) / $levels));
			$tags[$key] = $tag;
		}

	return $tags;
	}
}